Package org.opensaml.saml.common

# Class AbstractSAMLObjectUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.saml.common.AbstractSAMLObjectUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `AdviceUnmarshaller`, `AdviceUnmarshaller`, `AffiliationDescriptorUnmarshaller`, `AssertionUnmarshaller`, `AssertionUnmarshaller`, `AsynchronousUnmarshaller`, `AttributeConsumingServiceUnmarshaller`, `AttributeDesignatorUnmarshaller`, `AttributeStatementUnmarshaller`, `AttributeUnmarshaller`, `AudienceRestrictionConditionUnmarshaller`, `AudienceRestrictionUnmarshaller`, `AuthnContextUnmarshaller`, `AuthnStatementUnmarshaller`, `AuthorityBindingUnmarshaller`, `AuthzDecisionStatementUnmarshaller`, `BaseIDUnmarshaller`, `ConditionsUnmarshaller`, `ConditionsUnmarshaller`, `ContactPersonUnmarshaller`, `DelegateUnmarshaller`, `DelegationRestrictionTypeUnmarshaller`, `DigestMethodUnmarshaller`, `DiscoHintsUnmarshaller`, `DoNotCacheConditionUnmarshaller`, `EncryptedElementTypeUnmarshaller`, `EndpointUnmarshaller`, `EntitiesDescriptorUnmarshaller`, `EntityAttributesUnmarshaller`, `EntityDescriptorUnmarshaller`, `EvidenceUnmarshaller`, `EvidenceUnmarshaller`, `ExtensionsUnmarshaller`, `ExtensionsUnmarshaller`, `IDPEntryUnmarshaller`, `IDPListUnmarshaller`, `KeyDescriptorUnmarshaller`, `KeywordsUnmarshaller`, `NameIDPolicyUnmarshaller`, `OneTimeUseUnmarshaller`, `OrganizationUnmarshaller`, `ProxyRestrictionUnmarshaller`, `PublicationInfoUnmarshaller`, `PublicationPathUnmarshaller`, `PublicationUnmarshaller`, `ReferencedPoliciesTypeUnmarshaller`, `RegistrationInfoUnmarshaller`, `RequestAbstractTypeUnmarshaller`, `RequestAbstractTypeUnmarshaller`, `RequestAuthenticatedUnmarshaller`, `RequestedAttributesUnmarshaller`, `RequestedAuthnContextUnmarshaller`, `RequestUnmarshaller`, `ResponseAbstractTypeUnmarshaller`, `ResponseUnmarshaller`, `RoleDescriptorUnmarshaller`, `ScopingUnmarshaller`, `SessionKeyUnmarshaller`, `SigningMethodUnmarshaller`, `StatusCodeUnmarshaller`, `StatusCodeUnmarshaller`, `StatusDetailUnmarshaller`, `StatusDetailUnmarshaller`, `StatusResponseTypeUnmarshaller`, `StatusUnmarshaller`, `StatusUnmarshaller`, `SubjectConfirmationDataUnmarshaller`, `SubjectConfirmationUnmarshaller`, `SubjectConfirmationUnmarshaller`, `SubjectConfirmationUnmarshaller`, `SubjectLocalityUnmarshaller`, `SubjectLocalityUnmarshaller`, `SubjectQueryUnmarshaller`, `SubjectStatementUnmarshaller`, `SubjectUnmarshaller`, `SubjectUnmarshaller`, `TerminateUnmarshaller`, `UIInfoUnmarshaller`, `XACMLAuthzDecisionStatementTypeUnmarshaller`, `XACMLPolicyStatementTypeUnmarshaller`

@ThreadSafe public abstract class AbstractSAMLObjectUnmarshaller extends AbstractXMLObjectUnmarshaller
A thread safe abstract unmarshaller. This abstract unmarshaller only works with `SAMLObject`.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSAMLObjectUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected SAMLVersion`
`parseSAMLVersion(Attr attribute)`
Parse `SAMLVersion` instance from the specified DOM attribute.

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSAMLObjectUnmarshaller

public AbstractSAMLObjectUnmarshaller()

## Method Details

### parseSAMLVersion

@Nonnull protected SAMLVersion parseSAMLVersion(@Nonnull Attr attribute) throws UnmarshallingException
Parse `SAMLVersion` instance from the specified DOM attribute.

Parameters:
  `attribute` - the DOM attribute to process
Returns:
  the parsed SAMLVersion instance
Throws:
  `UnmarshallingException` - if a SAMLVersion instance could not be successfully parsed